## curtin 18.2-10-g7afd77fa

=== debian/changelog ===
curtin (18.2-10-g7afd77fa-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1817964)
    - Support for multi-layers images fsimage-layered:// URI
      [Jean-Baptiste Lallement]
    - dname: relax dname req for disk serial/wwn presence for compatibility
    - flake8: fix some E117 over-indented issues [Paride Legovini]
    - bcache: ensure partitions on bcache devices are detected as partition
    - vmtest: bump skip_by_date out a year for trusty bcache bug
    - Fix typo in doc/topics/integration-testing.rst. [Paride Legovini]
    - flake8: Fix two issues found with new version of flake8
    - clear-holders: handle FileNotFound when probing for bcache device slaves
    - vmtests: network mtu fix-by bump to post 19.04 release
    - vmtest: Fix bug preventing explicit disabling of system_upgrade.
    - Release 18.2
    - Adjust helpers/common to edit GRUB_CMDLINE_LINUX_DEFAULT in place.
    - dname: persistent names based on serial or wwn
    - Fix bug in is_swap_device if a device was smaller than page_size.
    - vmtest: add disco tests [Joshua Powers]
    - unittest: change directory to tmpdir for testing relative files.
    - Add clear-holders to meta-simple
    - vmtests: check install log for Out of memory kernel messages and fail
    - unittest: correctly use tmpdir for my.img [Joshua Powers]
    - block_meta: use wipe config when clearing partitions
    - tests: fix vmtests for apt perserve_source_list changes
    - apt: Use new format apt config when writing preserve_sources_list.
    - vmtests: multipath mount /home with nofail and validate in unittest
    - vmtests: fix common collect scripts to not exit failure.
    - vmtest: handle collect disk unpack failure
    - vmtests: dont use multiple subclasses in uefi 4k tests
    - vmtests: disable snapd/seeding to avoid boot hang
    - jenkins-runner: fix when using --filter only

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 28 Feb 2019 09:45:37 -0600

curtin (18.1-59-g0f993084-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1795712)
    - distro: fix system_upgrade command using string instead of function
    - Capture stdout when using lxc file push
    - vmtest: boot ephemeral with 'ro' on the kernel command line.
    - vmtest: Fix typo in skip-by-date.
    - vmtest: kick skip-by-date for 1671951.
    - tools/jenkins-runner: Error if both filters and tests are given.
    - vmtests: prevent tests from modifying cls.collect_scripts
    - Enable custom storage configuration for centos images
    - vmtest: ensure we collect /var/log/journal only once
    - Don't allow reads of /proc and modprobe zfs through
    - clear-holders: handle missing zpool/zfs tools when wiping
    - clear-holders: rescan for lvm devices after assembling raid arrays
    - vmtest: enable persistent journal and collect at boot time
    - Add timing and logging functions.
    - parse_dpkg_version: support non-numeric in version string.
    - Add main so that 'python3 -m curtin' does the right thing.
    - Add subcommand 'features'.
    - block: use uuid4 (random) when autogenerating UUIDS for filesystems
    - vmtests: Increase size of root filesystems.
    - clear-holders: reread ptable after wiping disks with partitions
    - vmtest: Skip proposed pocket on dev release when 'proposed' in ADD_REPOS.
    - tests: remove Ubuntu Artful [Joshua Powers]
    - vmtests: Let a raised SkipTest go through skip_by_date.
    - vmtests: Increase root fs to give upgrades to -proposed more space.
    - vmtest: Order the vmtest_pollinate late_command earlier.
    - vmtest: always add 'curtin/vmtest' to installed pollinate user_agent.
    - vmtests: make skip_by_date a decorator that runs and reports.
    - vmtests: always declare certain attributes and remove redundant tests.
    - vmtests: Add Cosmic release to tests [Joshua Powers]
    - vmtests: skip TrustyTestMdadmBcache until 2019-01-22.
    - tox: use simplestreams from git repository rather than bzr.
    - document that you can set ptable on raids [Michael Hudson-Doyle]
    - vmtests: move skip-by date of xfs root and xfs boot out 1 year.
    - vmtests: network_mtu move fixby date out 4 months from last value
    - Fix WorkingDir class to support already existing target directory.
    - Fix extraction of local filesystem image.
    - Fix tip-pyflakes imported but unused call to util.get_platform_arch
    - subp: update return value of subp with combine_capture=True.
    - tox: add a xenial environments, default envlist changes.
    - tests: Fix race on utcnow during timestamped curtin-log dir creation
    - curtainer: patch source version from --source.
    - pyflakes: fix unused variable references identified by pyflakes 2.0.0.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 12 Oct 2018 16:30:03 -0400
