## curtin 18.2-22-g08bf6ff7

=== debian/changelog ===
curtin (18.2-22-g08bf6ff7-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Setup kernel-img.conf like base-installer/live-installer did.
      [Dimitri John Ledkov] (LP: #1534162)
    - zfs: pass pool and fs properties to zpool_create
      [Jean-Baptiste Lallement] (LP: #1823682)
    - block_meta: pass lvm_partition size through human2bytes
      [Michael Hudson-Doyle]

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 11 Apr 2019 14:22:33 -0500

curtin (18.2-19-g36351dea-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - clear-holders: refactor bcache shutdown and add longer timeout
      (LP: #1796292)
    - schema-validate-storage: remove unused imports [Paride Legovini]
    - add subcommand schema for storage-config validation
    - clear-holders: wipe raid members at data offsets when not assembled
      (LP: #1815018)
    - Add support for s390 DASD devices
    - vmtest: skip DiscoTestAllindata while initrd lacks crypto modules
    - block_meta: allow passing a dm_crypt key by keyfile
      [Michael Hudson-Doyle]
    - ChrootableTarget: add /run to mounts for redhat targets (LP: #1815666)
    - vmtest: consolidate vm mem config, defaults via release, env override

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 03 Apr 2019 14:46:09 -0500

curtin (18.2-10-g7afd77fa-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Support for multi-layers images fsimage-layered:// URI
      [Jean-Baptiste Lallement]
    - dname: relax dname req for disk serial/wwn presence for compatibility
      (LP: #1735839)
    - flake8: fix some E117 over-indented issues [Paride Legovini]
    - bcache: ensure partitions on bcache devices are detected as partition
    - vmtest: bump skip_by_date out a year for trusty bcache bug
    - Fix typo in doc/topics/integration-testing.rst. [Paride Legovini]
    - flake8: Fix two issues found with new version of flake8
    - clear-holders: handle FileNotFound when probing for bcache device slaves
      (LP: #1811117)
    - vmtests: network mtu fix-by bump to post 19.04 release
    - vmtest: Fix bug preventing explicit disabling of system_upgrade.

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 27 Feb 2019 16:43:21 -0600

curtin (18.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.2).
    - Release 18.2
    - Adjust helpers/common to edit GRUB_CMDLINE_LINUX_DEFAULT in place.
      (LP: #1527664)
    - dname: persistent names based on serial or wwn (LP: #1735839)
    - Fix bug in is_swap_device if a device was smaller than page_size.
      (LP: #1803672)
    - vmtest: add disco tests [Joshua Powers]
    - unittest: change directory to tmpdir for testing relative files.
    - Add clear-holders to meta-simple (LP: #1786736)
    - vmtests: check install log for Out of memory kernel messages and fail
    - unittest: correctly use tmpdir for my.img [Joshua Powers] (LP: #1803611)
    - block_meta: use wipe config when clearing partitions (LP: #1800153)
    - tests: fix vmtests for apt perserve_source_list changes
    - apt: Use new format apt config when writing preserve_sources_list.
      (LP: #1735950)
    - vmtests: multipath mount /home with nofail and validate in unittest
    - vmtests: fix common collect scripts to not exit failure.
    - vmtest: handle collect disk unpack failure
    - vmtests: dont use multiple subclasses in uefi 4k tests
    - vmtests: disable snapd/seeding to avoid boot hang
    - jenkins-runner: fix when using --filter only

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 06 Dec 2018 12:11:01 -0600
