## curtin 19.2-9-g38ce22b0

=== debian/changelog ===
curtin (19.2-9-g38ce22b0-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - vmtest: fix typo in EoanBcacheBasic test name
    - storage schema: Update nvme wwn regex to allow for nvme wwid format
      (LP: #1841321)
    - Allow EUI-64 formatted WWNs for disks and accept NVMe partition naming
      [Reed Slaby] (LP: #1840524)

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 28 Aug 2019 11:40:32 -0500

curtin (19.2-6-g88a1a7ec-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - Makefile: split Python 2 and Python 3 unittest targets apart
  * debian/*: drop python-curtin, making the package Python 3-only.
  * debian/control: drop Build-Depends on linting tools, they haven't been
    used by the upstream test suite in a while.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 21 Aug 2019 13:29:50 -0400

curtin (19.2-5-g44997e86-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - Switch to the new btrfs-progs package name, with btrfs-tools fallback.
      [Dimitri John Ledkov]
    - vmtest: bump ram size on Zfs tests for Disco and Eoan
    - vmtest: drop Cosmic test cases
    - unittests: mock subp in ChrootableTarget _exit_ test cases
    - util.ChrootableTarget: skip rename of resolv.conf if not present in
      target (LP: #1834382)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 15 Aug 2019 12:27:10 -0400

curtin (19.2-0ubuntu1) eoan; urgency=medium

  * New upstream release.
    - Release 19.2 (LP: #1836951)
    - storage_config: a missing ID_PART_TABLE_TYPE key means no ptable
      [Michael Hudson-Doyle]
    - vmtests: drop skip_by_date decorators for bug 1813228
    - block: Add opportunistic zkey encryption if supported
    - vmtests: add support for CURTIN_VMTEST_APT_PROXY
    - vmtests: add use of CURTIN_VMTEST_ prefixed envvars to image sync
    - vmtest: dont raise SkipTest in class definition

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 17 Jul 2019 15:39:33 -0500

curtin (19.1-7-g37a7a0f4-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - vmtests: determine block name via dname when verifying volume groups
    - vmtest: add Centos66/Centos70 FromBionic release and re-add tests
    - block-discover: add cli/API for exporting existing storage to config
    - vmtest: refactor test_network code for Eoan
    - curthoooks: disable daemons while reconfiguring mdadm
      [Michael Hudson-Doyle] (LP: #1829325.)
    - mdadm: fix install to existing raid [Michael Hudson-Doyle] (LP: #1830157)
    - apt_proxy env var set but empty => do not setup any proxy
      [Paride Legovini]

 -- Chad Smith <chad.smith@canonical.com>  Wed, 05 Jun 2019 10:45:42 -0600

curtin (19.1-0ubuntu1) eoan; urgency=medium

  * New upstream release.
    - release 19.1
    - vmtest: add missing skip_by_date on Eoan test_network_mtu
    - vmtest: remove skip_by_date on Disco Allindata test
    - block: support multipath devices in lookup and partition_kname
      (LP: #1813228)
    - grub: add grub config to control os_prober,terminal settings in target
    - vmtest: add eoan tests [Paride Legovini]
    - vmtest: add dependency on python3-jsonschema [Paride Legovini]
    - Pylint compatibility with Python 3.7 [Paride Legovini] (LP: #1828229)
    - vmtest: disable disco multipath test
    - vmtests: bump network mtu tests out a bit
    - Fix up yaml.load warnings
    - vmtest: disable trusty, it's dead jim

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 22 May 2019 10:26:52 -0400

curtin (18.2-26-gd8e45d79-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - vmtest: reenable UEFI 4k tests, which got dropped when fixing
      subclassing.
    - vmtests: Add test_kernel_img_conf stub for PsuedoVMBaseClass
    - curthooks: chzdev_import must encode data if provided (LP: #1825007)
    - vmtest: test for kernel-img conf on ubuntu only

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 23 Apr 2019 09:32:56 -0500
