## curtin 19.3-27-g437caaa9

=== debian/changelog ===
curtin (19.3-27-g437caaa9-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - block-discover: add dasd parser and emit dasd storage config
      (LP: #1862849)

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 27 Feb 2020 13:11:46 -0600

curtin (19.3-26-g82f23e3d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - install-grub: refactor uefi partition/disk searching (LP: #1862846)
    - doc: update Canonical contributors URL [Paul Tobias]
    - block-discover: detect additional "extended" partition types in MBR
      (LP: #1861251)
    - vmtests: skip focal bcache tests due to kernel bug
    - net/deps.py: detect openvswitch cfg and install openvswitch packages
    - vmtest: collection of vmtest related fixes to make things triple green
    - clear-holders: umap the parent mpath to wipe the underlying partitions
    - vmtests: bump fixby date out and fix false positive when date passes
      (LP: #1855148)
    - vmtests: drop disco tests using a tool to automate the process

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 13 Feb 2020 21:08:59 -0600

curtin (19.3-17-g50ffca46-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - clear-holders: ensure we wipe device even if multipath enabled not not mp

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 30 Jan 2020 12:52:02 -0600

curtin (19.3-16-g941c43ff-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - block_meta: use reliable fs_spec entries for block devices (LP: #1851899)
    - multipath: handle removal of multipath partitions correctly
      (LP: #1857042)

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 30 Jan 2020 12:49:27 -0600

curtin (19.3-14-ga45a54ca-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - vmtests: skip Focal deploying Centos70 ScsiBasic
    - vmtests: fix network mtu tests, separating ifupdown vs networkd
    - doc: Fix kexec documentation bug. [Mike Pontillo]
    - vmtests: Add Focal Fossa
    - centos: Add centos/rhel 8 support, enable UEFI Secure Boot
      [Lee Trager] (LP: #1788088)
    - Bump XFS /boot skip-by date out a while
    - vmtest: Fix a missing unset of OUTPUT_FSTAB
    - curthooks: handle s390x/aarch64 kernel install hooks (LP: #1856038)
    - clear-holders: handle arbitrary order of devices to clear
    - curthooks: only run update-initramfs in target once (LP: #1842264)
    - test_network_mtu: bump fixby date for MTU tests
    - block-discover: don't skip partitions on virtual devices (LP: #1853018)
    - block-discover: handle partial probe data (LP: #1852351)
    - Fix parsing of squashfs: uri prefix for installation sources
      [Daniel Fox] (LP: #1851271)
    - Release 19.3 (LP: #1851390)
    - Update HACKING.rst with Josh Powers contact info.

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 16 Jan 2020 15:17:41 -0600

curtin (19.2-44-g8e618b34-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - t/jenkins-runner: replace $EPOCHSECONDS with 'date +%s' [Paride Legovini]
    - curthooks: skip setup_kernel_img_conf on eoan and newer (LP: #1847257)
    - block_meta: use lookup for wwn, fix fallback from wwn, serial, path
      (LP: #1849322)
    - vmtest: Adjust TestScsiBasic to use dnames to find correct disk
    - schema: Add ptable value 'unsupported' (LP: #1848535)
    - tools/xkvm: add -nographic to speed up devopt query
    - test_block_dasd: fix random_device_id to only generate valid IDs
      (LP: #1849549)
    - vmtest: update skip_if_arch message
    - Add skip_by_date to eoan ipv6 vlan test
    - storage_config: interpret value, not presence, of
      DM_MULTIPATH_DEVICE_PATH [Michael Hudson-Doyle]
    - vmtest: Add skip_by_date for test_ip_output on eoan + vlans
    - block-schema: update raid schema for preserve and metadata
    - dasd: update partition table value to 'vtoc' (LP: #1847073)
    - clear-holders: increase the level for devices with holders by one
      (LP: #1844543)
    - tests: mock timestamp used in collect-log file creation (LP: #1847138)
    - ChrootableTarget: mount /run to resolve lvm/mdadm issues which
      require it.
    - block-discover: handle multipath disks (LP: #1839915)
    - Handle partial raid on partitions (LP: #1835091)
    - install: export zpools if present in the storage-config (LP: #1838278)
    - block-schema: allow 'mac' as partition table type (LP: #1845611)
    - jenkins-runner: disable the lockfile timeout by default [Paride Legovini]
    - curthooks: use correct grub-efi package name on i386 (LP: #1845914)
    - vmtest-sync-images: remove unused imports [Paride Legovini]
    - vmtests: use file locking on the images [Paride Legovini]
    - vmtest: enable arm64 [Paride Legovini]
    - Make the vmtests/test_basic test suite run on ppc64el [Paride Legovini]
    - vmtests: separate arch and target_arch in tests [Paride Legovini]
    - vmtests: new decorator: skip_if_arch [Paride Legovini]
    - vmtests: increase the VM memory for Bionic
    - vmtests: Skip Eoan ZFS Root tests until bug fix is complete
    - Merge branch 'fix_merge_conflicts'
    - util: add support for 'tbz', 'txz' tar format types to sanitize_source
      (LP: #1843266)
    - net: ensure eni helper tools install if given netplan config
      (LP: #1834751)
    - d/control: update Depends for new probert package names
      [Dimitri John Ledkov]

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 01 Nov 2019 14:06:13 -0500
