=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
          lvm2,
          mdadm,
          parted,
-         probert,
+         probert-storage | probert,
          python3-curtin (= ${binary:Version}),
          udev,
          xfsprogs,
