=== requirements.txt ===
pyyaml
oauthlib
# For validation of storate configuration format
jsonschema
