## curtin 20.1-2-g42a9667f

=== debian/changelog ===
curtin (20.1-2-g42a9667f-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1881003)
    - vmtests: update skiptests
    - vmtest: allow installed centos images to reboot
    - Release 20.1
    - Handle multiple separators which were found in TestAllindata vmtest
    - verify_ptable_flag: dos primary partitions use ptable_uuid map for flag
    - net_meta: add disabled mode to skip writing any network config
      [Lucas Moura]
    - vmtest: trigger guest panic to fail fast
    - Replace grub-shell-helper with install_grub command
    - vmtest-sync-images: update the URL of the maas streams [Paride Legovini]
    - Replace references to old team manager with new team manager
      [James Falcon]
    - tox: pin flake8 to version and add a tip-flake8 environment
      [Paride Legovini]
    - Fix flake8 E741 warning [Lucas Moura]
    - Makefile: make adjustments to call lint/style tools via python module
    - block-discover: ignore invalid id_serial/id_wwn values
    - Fix handing of reusing msdos partitions and flags
    - block.detect_multipath: ignore fake "devices" from /proc/mounts
      [Michael Hudson-Doyle]
    - udev: use shlex.quote when shlex.split errors on shell-escape chars
    - lvm: don't use vgscan --mknodes
    - vmtest: rsync don't cross filesystem boundaries when copying
    - vmtest: basic/basic_scsi adjust collect/tests for unstable device names
    - Add unittests for partition_handler calc_[dm]_part_info and kpartx paths
    - multipath: attempt to enforce /dev/mapper/mpath files are symlinks
    - block-meta: device mapper partitions may be block devices not links
    - Default to dm_name being id if empty earlier in dm_crypt_handler()
      [Łukasz 'sil2100' Zemczak]
    - storage: correct declared schema draft version for storage schema
    - test_clear_holders: add missing zfs mock
    - Mock out zfs_supported to prevent attempting to load kernel modules
    - block-meta: skip wipe device paths if not present
    - unittest: do not allow util.subp by default
    - curthooks: support multiple ESP on UEFI bootable systems
    - block-discover: handle missing multipath 'path' data, use DM_NAME
    - lvm-over-multipath: handle lookups of multipath members
    - block-meta: don't filter preserve=true devices, select by wipe
    - vmtest: basic use dname to lookup disk with multiple partitions
    - block-meta: Don't check the ptable type of a disk with no ptable
    - curthooks: always use ChrootableTarget.subp when calling efibootmgr
    - storage: enable and use multipath during storage configuration
    - block-discover: detect nvme multipath devices
    - clear-holders: Tolerate vgchange errors during discovery
    - block-meta: handle preserve with vtoc ptable
    - vmtest: use -partition file for TestReuseRAIDMemberPartition class
    - format: extra_options should be a list type
    - tox: add pyflakes to the default tox run [Paride Legovini]
    - storage_config: Add 'extra_options' parameter to allow custom mkfs
    - Add support for installing Ubuntu Core 20 images
    - tox.ini: Fix issues with newer tox on focal
    - vmtest: Fix test_basic.py to run on s390x
    - vmtest: use util.load_file for loading collect files
    - block-meta: refactor storage_config preserve and wipe settings
    - block-discover: skip 'multipath' key in blockdevice if mpath name is None
    - tox: all py27 environments should use the base py27 deps
    - uefi: refactor efibootmg handling to support removing duplicate entries
    - tox: pin setuptools < 45 to allow installing py27 in virtenv
    - block-discover: add dasd parser and emit dasd storage config

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 28 May 2020 17:39:13 -0500

curtin (19.3-26-g82f23e3d-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1861452)
    - install-grub: refactor uefi partition/disk searching
    - doc: update Canonical contributors URL [Paul Tobias]
    - block-discover: detect additional "extended" partition types in MBR
    - vmtests: skip focal bcache tests due to kernel bug
    - net/deps.py: detect openvswitch cfg and install openvswitch packages
    - vmtest: collection of vmtest related fixes to make things triple green
    - clear-holders: umap the parent mpath to wipe the underlying partitions
    - vmtests: bump fixby date out and fix false positive when date passes
    - vmtests: drop disco tests using a tool to automate the process

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 14 Feb 2020 09:52:04 -0600

curtin (19.3-17-g50ffca46-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1861452)
    - clear-holders: ensure we wipe device even if multipath enabled not not mp
    - block_meta: use reliable fs_spec entries for block devices
    - multipath: handle removal of multipath partitions correctly
    - vmtests: skip Focal deploying Centos70 ScsiBasic
    - vmtests: fix network mtu tests, separating ifupdown vs networkd
    - doc: Fix kexec documentation bug. [Mike Pontillo]
    - vmtests: Add Focal Fossa
    - centos: Add centos/rhel 8 support, enable UEFI Secure Boot [Lee Trager]
    - Bump XFS /boot skip-by date out a while
    - vmtest: Fix a missing unset of OUTPUT_FSTAB
    - curthooks: handle s390x/aarch64 kernel install hooks
    - clear-holders: handle arbitrary order of devices to clear
    - curthooks: only run update-initramfs in target once
    - test_network_mtu: bump fixby date for MTU tests
    - block-discover: don't skip partitions on virtual devices
    - block-discover: handle partial probe data
    - Fix parsing of squashfs: uri prefix for installation sources [Daniel Fox]
    - Release 19.3
    - Update HACKING.rst with Josh Powers contact info.
    - t/jenkins-runner: replace $EPOCHSECONDS with 'date +%s' [Paride Legovini]
    - curthooks: skip setup_kernel_img_conf on eoan and newer
    - block_meta: use lookup for wwn, fix fallback from wwn, serial, path

