=== debian/control ===
--- 
+++ 
@@ -5,11 +5,21 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7),
                dh-python,
+               pep8,
+               pyflakes,
+               python-all,
+               python-coverage,
+               python-mock,
+               python-nose,
+               python-oauthlib,
+               python-setuptools,
+               python-yaml,
                python3,
                python3-coverage,
                python3-mock,
                python3-nose,
                python3-oauthlib,
+               python3-pyflakes | pyflakes (<< 1.1.0-2),
                python3-setuptools,
                python3-yaml
 Homepage: http://launchpad.net/curtin
@@ -26,7 +36,6 @@
          lvm2,
          mdadm,
          parted,
-         probert-storage | probert,
          python3-curtin (= ${binary:Version}),
          udev,
          xfsprogs,
@@ -44,6 +53,19 @@
 Description: Library and tools for curtin installer
  This package contains utilities for the curtin installer.
 
+Package: python-curtin
+Section: python
+Architecture: all
+Priority: extra
+Depends: curtin-common (= ${binary:Version}),
+         python-oauthlib,
+         python-yaml,
+         wget,
+         ${misc:Depends},
+         ${python:Depends}
+Description: Library and tools for curtin installer
+ This package provides python library for use by curtin.
+
 Package: python3-curtin
 Section: python
 Architecture: all
