=== debian/changelog ===
curtin (20.2-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Release 20.2 (LP: #1896947)
    - Fix the py3 pylint ci run [Paride Legovini]

 -- Paride Legovini <paride.legovini@canonical.com>  Fri, 25 Sep 2020 22:44:41 +0200

curtin (20.1-29-g81144052-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - vmtest: Fix multiple issues with vmtest on master
    - Refactor uefi_remove_duplicates into find/remove functions for reuse
    - distro: run apt-get clean after dist-upgrade, install, upgrade
    - curthooks: UEFI remove dupes: don't remove BootCurrent, config option
      (LP: #1894217)
    - Pin the dependency on pyrsistent [Paride Legovini]
    - restore default of grub.update_nvram to True in install_grub
      [Michael Hudson-Doyle]
    - block: disk_to_byid_path handle missing /dev/disk/by-id directory
      (LP: #1876258)
    - UEFI: Handle missing BootCurrent entry when reordering UEFI entries
      (LP: #1789650)
    - dasd: fix off-by-one device_id devno range check [Paride Legovini]
    - curthooks: uefi_find_grub_device_ids handle type:mount without path
      (LP: #1892242)
    - netplan openvswitch yaml changed (LP: #1891608)
    - tools/curtainer: do not wait for snapd.seeded.service
    - tools/curtainer: enable using ubuntu-minimal images
    - vmtests: add Groovy [Paride Legovini]
    - Drop the Eoan vmtests (EOL) [Paride Legovini]
    - tools: rename remove-vmtest-release to vmtest-remove-release
    - Snooze the tests failing because of LP: #1861941 for two more months
      [Paride Legovini]
    - LP: #1671951 is Fix Released => Drop the PPA [Paride Legovini]
    - swaps: handle swapfiles on btrfs (LP: #1884161)
    - curtainer: fail is masking of zfs-mount or zfs-share fails
      [Paride Legovini]
    - multipath: handle multipath nvme name fields correctly (LP: #1878041)
    - curtainer: mask the zfs-mount and zfs-share services [Paride Legovini]
    - tools/jenkins-runner: shuffle test-cases to randomize load
      [Paride Legovini]
    - Add Trusty/UEFI/HWE-X vmtest, drop realpath add, drop shell code
    - LP: #1881977 - Install realpath on Trusty UEFI. [Lee Trager]
    - vmtests: fix PreservePartitionWipeVg storage config
    - Fix mdraid name creates broken configuration
      [James Falcon] (LP: #1803933)
    - vmtests: update skiptests
    - vmtest: allow installed centos images to reboot (LP: #1881011)

 -- Paride Legovini <paride.legovini@canonical.com>  Mon, 14 Sep 2020 17:53:15 +0200

curtin (20.1-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Release 20.1 (LP: #1880741)
    - Handle multiple separators which were found in TestAllindata vmtest
    - verify_ptable_flag: dos primary partitions use ptable_uuid map for flag
      (LP: #1878890)
    - net_meta: add disabled mode to skip writing any network config
      [Lucas Moura]
    - vmtest: trigger guest panic to fail fast
    - Replace grub-shell-helper with install_grub command
    - vmtest-sync-images: update the URL of the maas streams [Paride Legovini]
    - Replace references to old team manager with new team manager
      [James Falcon]
    - tox: pin flake8 to version and add a tip-flake8 environment
      [Paride Legovini]
    - Fix flake8 E741 warning [Lucas Moura]

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 26 May 2020 16:31:39 -0500

curtin (19.3-68-g6cbdc02d-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - Makefile: make adjustments to call lint/style tools via python module
    - block-discover: ignore invalid id_serial/id_wwn values (LP: #1876848)
    - Fix handing of reusing msdos partitions and flags (LP: #1875903)
    - block.detect_multipath: ignore fake "devices" from /proc/mounts
      [Michael Hudson-Doyle] (LP: #1876626)
    - udev: use shlex.quote when shlex.split errors on shell-escape chars
      (LP: #1875085)
    - lvm: don't use vgscan --mknodes
    - vmtest: rsync don't cross filesystem boundaries when copying
      (LP: #1873909)
    - vmtest: basic/basic_scsi adjust collect/tests for unstable device names
      (LP: #1874100)
    - Add unittests for partition_handler calc_[dm]_part_info and kpartx paths
    - multipath: attempt to enforce /dev/mapper/mpath files are symlinks
    - block-meta: device mapper partitions may be block devices not links
    - Default to dm_name being id if empty earlier in dm_crypt_handler()
      [Łukasz 'sil2100' Zemczak] (LP: #1874243)
    - storage: correct declared schema draft version for storage schema
    - test_clear_holders: add missing zfs mock
    - Mock out zfs_supported to prevent attempting to load kernel modules
    - block-meta: skip wipe device paths if not present (LP: #1869075)
    - unittest: do not allow util.subp by default (LP: #1873913)
    - curthooks: support multiple ESP on UEFI bootable systems
    - block-discover: handle missing multipath 'path' data, use DM_NAME
      (LP: #1873728)
    - lvm-over-multipath: handle lookups of multipath members (LP: #1869075)
    - block-meta: don't filter preserve=true devices, select by wipe
      (LP: #1837214)
    - vmtest: basic use dname to lookup disk with multiple partitions
    - block-meta: Don't check the ptable type of a disk with no ptable
    - curthooks: always use ChrootableTarget.subp when calling efibootmgr
    - storage: enable and use multipath during storage configuration
      (LP: #1869075)
    - block-discover: detect nvme multipath devices (LP: #1868109)
    - clear-holders: Tolerate vgchange errors during discovery (LP: #1870037)
    - block-meta: handle preserve with vtoc ptable (LP: #1871158)
    - vmtest: use -partition file for TestReuseRAIDMemberPartition class
    - format: extra_options should be a list type
    - tox: add pyflakes to the default tox run [Paride Legovini]
    - storage_config: Add 'extra_options' parameter to allow custom mkfs
      (LP: #1869069)
    - Add support for installing Ubuntu Core 20 images
    - tox.ini: Fix issues with newer tox on focal

